package com.bzd.system.service.spgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 连锁商品查询 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SSpglProductdetailsService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSSpglProductdetails(PageData pd)throws Exception {
        return daoSupport.update("SSpglProductdetailsMapper.addSSpglProductdetails", pd);
    }

    public List<PageData> findSSpglProductdetailsList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SSpglProductdetailsMapper.selectSSpglProductdetailsList", pd);
    }

    public Integer SSpglProductdetailsRemove(PageData pd)throws Exception {
        return daoSupport.delete("SSpglProductdetailsMapper.SSpglProductdetailsRemove", pd);
    }


    public Integer updateSSpglProductdetails(PageData pd)throws Exception {
        return daoSupport.update("SSpglProductdetailsMapper.updateSSpglProductdetails", pd);
    }

}
